<?php

namespace AutoAdmin\Bundle\Media\Model;


use Symfony\Component\HttpFoundation\File\File;

/**
 * Class FileModel
 */
interface FileInterface extends MediaInterface
{
    public function getTitle(): ?string;

    public function setTitle(?string $title): void;

    public function setFile(File $file = null);

    public function getFile();

    public function getFileName(): ?string;

    public function setFileName(?string $name): void;

    public function getOriginalName(): ?string;

    public function setOriginalName(?string $originalName): void;

    public function getMimeType(): ?string;

    public function setMimeType(?string $mimeType): void;

    public function getSize(): ?int;

    public function setSize(?int $size): void;

    public function getExtension(): ?string;

    public function setExtension(?string $extension);
}